Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlaeda

    java.lang.Object
      org.netlib.lapack.Dlaeda

    public class Dlaeda

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAEDA computes the Z vector corresponding to the merge step in the
     *  CURLVLth step of the merge process with TLVLS steps for the CURPBMth

     *  problem.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  TLVLS  (input) INTEGER
     *         The total number of merging levels in the overall divide and
     *         conquer tree.
     *
     *  CURLVL (input) INTEGER
     *         The current level in the overall merge routine,
     *         0 <= curlvl <= tlvls.
     *
     *  CURPBM (input) INTEGER
     *         The current problem in the current level in the overall
     *         merge routine (counting from upper left to lower right).
     *
     *  PRMPTR (input) INTEGER array, dimension (N lg N)
     *         Contains a list of pointers which indicate where in PERM a
     *         level's permutation is stored.  PRMPTR(i+1) - PRMPTR(i)
     *         indicates the size of the permutation and incidentally the
     *         size of the full, non-deflated problem.
     *
     *  PERM   (input) INTEGER array, dimension (N lg N)
     *         Contains the permutations (from deflation and sorting) to be
     *         applied to each eigenblock.
     *
     *  GIVPTR (input) INTEGER array, dimension (N lg N)
     *         Contains a list of pointers which indicate where in GIVCOL a
     *         level's Givens rotations are stored.  GIVPTR(i+1) - GIVPTR(i)

     *         indicates the number of Givens rotations.
     *
     *  GIVCOL (input) INTEGER array, dimension (2, N lg N)
     *         Each pair of numbers indicates a pair of columns to take place
     *         in a Givens rotation.
     *
     *  GIVNUM (input) DOUBLE PRECISION array, dimension (2, N lg N)
     *         Each number indicates the S value to be used in the
     *         corresponding Givens rotation.
     *
     *  Q      (input) DOUBLE PRECISION array, dimension (N**2)
     *         Contains the square eigenblocks from previous levels, the
     *         starting positions for blocks are given by QPTR.
     *
     *  QPTR   (input) INTEGER array, dimension (N+2)
     *         Contains a list of pointers which indicate where in Q an
     *         eigenblock is stored.  SQRT( QPTR(i+1) - QPTR(i) ) indicates
     *         the size of the block.
     *
     *  Z      (output) DOUBLE PRECISION array, dimension (N)
     *         On output this vector contains the updating vector (the last
     *         row of the first sub-eigenvector matrix and the first row of
     *         the second sub-eigenvector matrix).
     *
     *  ZTEMP  (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlaeda()`

Method Summary
`static void` | `dlaeda(int n, int tlvls, int curlvl, int curpbm, int[] prmptr, int _prmptr_offset, int[] perm, int _perm_offset, int[] givptr, int _givptr_offset, int[] givcol, int _givcol_offset, double[] givnum, int _givnum_offset, double[] q, int _q_offset, int[] qptr, int _qptr_offset, double[] z, int _z_offset, double[] ztemp, int _ztemp_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlaeda

    public Dlaeda()

Method Detail

### dlaeda

    public static void dlaeda(int n,
                              int tlvls,
                              int curlvl,
                              int curpbm,
                              int[] prmptr,
                              int _prmptr_offset,
                              int[] perm,
                              int _perm_offset,
                              int[] givptr,
                              int _givptr_offset,
                              int[] givcol,
                              int _givcol_offset,
                              double[] givnum,
                              int _givnum_offset,
                              double[] q,
                              int _q_offset,
                              int[] qptr,
                              int _qptr_offset,
                              double[] z,
                              int _z_offset,
                              double[] ztemp,
                              int _ztemp_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD